Loading...
Searching...
No Matches
pdftron::PDF::ViewChangeCollection Class Reference

`#include <ViewChangeCollection.h>`

## Public Member Functions
| ViewChangeCollection ()
| ~ViewChangeCollection ()
| ViewChangeCollection (const ViewChangeCollection &view_change)
ViewChangeCollection & | operator= (const ViewChangeCollection &view_change)
void | Destroy ()
ptrdiff_t | GetHandleInternal ()
| ViewChangeCollection (TRN_ViewChangeCollection impl)

## Static Public Member Functions
static ViewChangeCollection * | CreateInternal (ptrdiff_t impl)

## Public Attributes
TRN_ViewChangeCollection | mp_collection

## Detailed Description

Definition at line 9 of file ViewChangeCollection.h.

## Constructor & Destructor Documentation

## ◆ ViewChangeCollection() [1/3]

pdftron::PDF::ViewChangeCollection::ViewChangeCollection | ( |  | ) |

## ◆ ~ViewChangeCollection()

pdftron::PDF::ViewChangeCollection::~ViewChangeCollection | ( |  | ) |

## ◆ ViewChangeCollection() [2/3]

pdftron::PDF::ViewChangeCollection::ViewChangeCollection | ( | const ViewChangeCollection & | view_change | ) |

## ◆ ViewChangeCollection() [3/3]

pdftron::PDF::ViewChangeCollection::ViewChangeCollection | ( | TRN_ViewChangeCollection | impl | ) |

## Member Function Documentation

## ◆ CreateInternal()

ViewChangeCollection * pdftron::PDF::ViewChangeCollection::CreateInternal | ( | ptrdiff_t | impl | ) |
| static

## ◆ Destroy()

void pdftron::PDF::ViewChangeCollection::Destroy | ( |  | ) |

## ◆ GetHandleInternal()

ptrdiff_t pdftron::PDF::ViewChangeCollection::GetHandleInternal | ( |  | ) |

## ◆ operator=()

ViewChangeCollection & pdftron::PDF::ViewChangeCollection::operator= | ( | const ViewChangeCollection & | view_change | ) |

## Member Data Documentation

## ◆ mp_collection

TRN_ViewChangeCollection pdftron::PDF::ViewChangeCollection::mp_collection

Definition at line 25 of file ViewChangeCollection.h.

The documentation for this class was generated from the following file:

- PDF/ViewChangeCollection.h